Bug 505354 - Review Request: php-captchaphp - PHP very user-friendly CAPTCHA solution
Review Request: php-captchaphp - PHP very user-friendly CAPTCHA solution
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 471231
  Show dependency treegraph
 
Reported: 2009-06-11 11:53 EDT by Patrick Monnerat
Modified: 2010-07-06 13:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-captchaphp-2.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2009-06-11 11:53:43 EDT
Spec URL: http://monnerat.fedorapeople.org/php-captchaphp.spec
SRPM URL: http://monnerat.fedorapeople.org/php-captchaphp-2.0-1.fc12.src.rpm
Description:   This PHP script provides a very user-friendly CAPTCHA solution.
You can easily embed it into your <form> generation scripts to
prevent spambot access.

It strives to be accessible and implements an arithmetic riddle
as alternative for visually impaired users. It does not require
cookies, but makes use of "AJAX" to give users visual feedback
for solving the CAPTCHA. It grants access fuzzily (when single
letters were misguessed) instead of frustrating people. And it
is rather customizable.

rpmlint output: none
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1405513
Comment 1 Patrick Monnerat 2009-06-11 12:16:40 EDT
Please note that the original (public domain) tarball includes a font with an incompatible license: the package removes this font, requires the dejavu fonts and uses those as a default replacement.
Comment 2 Patrick Monnerat 2009-07-07 09:31:16 EDT
New version: http://monnerat.fedorapeople.org/php-captchaphp-2.0-2.fc10.src.rpm
* Tue Jun 23 2009 Patrick Monnerat <pm@datasphere.ch> 2.0-2
- Move class files to a package-specific sub-directory.
- Get rid of build dependence on "ed".

rpmlint output: none
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1458801
Comment 3 Jason Tibbitts 2009-07-11 03:39:27 EDT
This does build, but the resulting package does not install.  My build script catches this because it installs the built packages into the chroot.

Executing command: /usr/bin/yum --installroot /mock/fedora-rawhide-x86_64/root/  install /mock/fedora-rawhide-x86_64/result/php-captchaphp-2.0-2.fc12.noarch.rpm                                                             

php-captchaphp-2.0-2.fc12.noarch from /php-captchaphp-2.0-2.fc12.noarch has depsolving problems                                           
  --> Missing Dependency: dejavu-fonts is needed by package php-captchaphp-2.0-2.fc12.noarch (/php-captchaphp-2.0-2.fc12.noarch)          
Error: Missing Dependency: dejavu-fonts is needed by package php-captchaphp-2.0-2.fc12.noarch (/php-captchaphp-2.0-2.fc12.noarch)
Comment 4 Patrick Monnerat 2009-07-13 08:47:55 EDT
Thanks Jason for catching it! I run it on F10, so it was still OK.
New SRPM: http://monnerat.fedorapeople.org/php-captchaphp-2.0-3.fc10.src.rpm
This new version requires the font directory rather than the font package: this should work identically for F10, F11 and rawhide.
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1471220
Comment 5 Patrick Monnerat 2009-08-03 11:37:28 EDT
New SRPM: http://monnerat.fedorapeople.org/php-captchaphp-2.0-4.fc10.src.rpm
PHP requirements minimized.
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1576229
Rpmlint silent.
Comment 6 Patrick Monnerat 2010-05-25 07:53:18 EDT
New version:
http://monnerat.fedorapeople.org/php-captchaphp.spec
http://monnerat.fedorapeople.org/php-captchaphp-2.2-1.fc12.src.rpm

New upstream release.
Font file with bad license removed from source tarball.
Some spelling errors fixed in description.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2208427

Rpmlint output:
php-captchaphp.spec: W: invalid-url Source0: captcha-2.2.nofont.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
SRPMS/php-captchaphp-2.2-1.fc12.src.rpm 
php-captchaphp.src: W: invalid-url Source0: captcha-2.2.nofont.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
RPMS/noarch/php-captchaphp-2.2-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Warnings due to custom source tarball (see comment in spec file).

Since this package is
_ stalled for almost one year without any potential reviewer,
_ a dependence blocking WebCalendar that has already passed the review (and has a new upstream version since then),
_ very simple and easy to review,
I would be very grateful to the reviewer who will be interested in this package and finally unblock the situation. Thanks in advance.
Comment 7 Tom "spot" Callaway 2010-06-11 13:38:36 EDT
Review
=======
- rpmlint checks return:
php-captchaphp.src:6: W: macro-in-comment %{version}
php-captchaphp.src:7: W: macro-in-comment %{version}
php-captchaphp.src:8: W: macro-in-comment %{version}
php-captchaphp.src:9: W: macro-in-comment %{version}
php-captchaphp.src:9: W: macro-in-comment %{version}
php-captchaphp.src: W: invalid-url Source0: captcha-2.2.nofont.tar.gz

All safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- spec file legible, in am. english
- source matches upstream
- package compiles on F-13 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

One minor change:

Since Public Domain declarations are problematic (we don't know if the copyright holder is able to legally put this work into the public domain), and the copyright holder has given permission for it to be used under any FOSS license, please adjust the licensing in the spec to this:

# Public Domain or any FOSS License, see README
# We're choosing MIT because it is universally compatible with other FOSS 
# licenses.
License: Public Domain or MIT

Make that change and I will approve this.
Comment 8 Patrick Monnerat 2010-06-14 05:24:38 EDT
I thank you very much for the review, Spot: as ever, you are my savior :-)

> License: Public Domain or MIT

Change applied:
http://monnerat.fedorapeople.org/php-captchaphp.spec
http://monnerat.fedorapeople.org/php-captchaphp-2.2-2.fc12.src.rpm
Comment 9 Tom "spot" Callaway 2010-06-21 19:08:40 EDT
Approved, sorry for the delay, was on vacation.
Comment 10 Patrick Monnerat 2010-06-22 13:34:38 EDT
No problem: I'm myself on vacation this week !
Many thanks for your review, Spot.

New Package CVS Request
=======================
Package Name: php-captchaphp
Short Description: PHP very user-friendly CAPTCHA
Owners: monnerat
Branches: F-12 F-13
InitialCC:
Comment 11 Kevin Fenzi 2010-06-22 21:43:37 EDT
CVS done (by process-cvs-requests.py).
Comment 12 Fedora Update System 2010-07-05 08:03:18 EDT
php-captchaphp-2.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-captchaphp-2.2-2.fc13
Comment 13 Fedora Update System 2010-07-05 08:03:28 EDT
php-captchaphp-2.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-captchaphp-2.2-2.fc12
Comment 14 Patrick Monnerat 2010-07-05 08:08:20 EDT
Thanks for CVS Kevin. Package now uploaded and built in devel F-12 and F-13 branches.
Comment 15 Fedora Update System 2010-07-06 13:19:31 EDT
php-captchaphp-2.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-07-06 13:33:24 EDT
php-captchaphp-2.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.